%define orig_name gpicview

Distribution:	CCux
Packager:	Karsten Brockmann <arcam@ccux-linux.de>

Name:           lxde-gpicview
Summary:	A Simple and Fast Image Viewer for X
URL:		http://lxde.org/
License:	GPL
Version:	0.2.1
Release:	1
BuildArch:	i686
Group:		Graphical Desktop/LXDE
Source:		%{orig_name}-%{version}.tar.gz
Provides:	%{orig_name} = %{version}
Obsoletes:	%{orig_name} <= %{version}
#Automatically resolved build dependencies
BuildRequires: atk-devel
BuildRequires: cairo-devel
BuildRequires: expat-devel
BuildRequires: fontconfig-devel
BuildRequires: freetype-devel
BuildRequires: glib
BuildRequires: glibc-devel
BuildRequires: gtk2+-devel
BuildRequires: libjpeg-devel
BuildRequires: libpng-devel
BuildRequires: libX11-devel
BuildRequires: libXrender-devel
BuildRequires: pango-devel
BuildRequires: pixman-devel
BuildRequires: zlib-devel

%description
A Simple and Fast Image Viewer for X
Features:

    * Extremely lightweight and fast with low memory usage
    * Very suitable for default image viewer of desktop system
    * Simple and intuitive interface
    * Minimal lib dependency: Only pure GTK+ is used
    * Desktop independent: Doesn't require any specific desktop environment
    * Open source, licensed under GNU GPL

%post
ldconfig

%postun
ldconfig

%prep
%setup -n %{orig_name}-%{version}

%build
%configure --disable-debug
touch -r po/Makefile po/stamp-it
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
find $RPM_BUILD_ROOT -type f -exec /usr/bin/strip --strip-debug '{}' ';'


%files
%defattr(-,root,root)
%{_bindir}/
%{_datadir}/applications/
%{_datadir}/locale/
%{_datadir}/gpicview/
%{_datadir}/pixmaps/

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Fri Dec 04 2009 Christian Metzen <metzench@ccux-linux.de> 0.2.1-1
- Version update
- rename package to lxde-gpicview
* Tue Dec 23 2008 Karsten Brockmann <arcam@ccux-linux.de> 0.1.11-1
- initial CCux package release
